package eventsub

import (
	"net/http"
	"net/url"
)

func (e *EventSub) DeleteSubscription(id string) error {
	endpoint := e.baseUrl.ResolveReference(&url.URL{Path: "eventsub/subscriptions", RawQuery: "id=" + id})

	_, err := e.client.Do(&http.Request{
		Method: http.MethodDelete,
		URL:    endpoint,
	})
	if err != nil {
		return err
	}

	return nil
}
